.medal-glow {
  position: relative;
  display: inline-block;
}

/* Basic + Gold Medal Glow */
.medal-glow::after {
  content: "";
  position: absolute;
  top: 37%;
  left: 50%;
  width: 70%;
  height: 70%;
  transform: translate(-50%, -50%);
  background: transparent;
  border-radius: 50%;
  box-shadow:
    0 0 60px 10px rgba(255, 215, 0, 0.7),
    0 0 100px 20px rgba(255, 215, 0, 0.5),
    0 0 140px 30px rgba(255, 215, 0, 0.3);
  animation:
    glowEffect 2s infinite alternate,
    rotateEffect 5s infinite linear;
}

/* Silver Medal Glow */
.medal-glow.silver::after {
  box-shadow:
    0 0 60px 10px rgba(192, 192, 192, 0.7),
    0 0 100px 20px rgba(192, 192, 192, 0.5),
    0 0 140px 30px rgba(192, 192, 192, 0.3);
}

/* Bronze Medal Glow */
.medal-glow.bronze::after {
  box-shadow:
    0 0 60px 10px rgba(205, 127, 50, 0.7),
    0 0 100px 20px rgba(205, 127, 50, 0.5),
    0 0 140px 30px rgba(205, 127, 50, 0.3);
}

@keyframes glowEffect {
  0% {
    transform: translate(-50%, -50%) scale(1);
    opacity: 1;
  }
  100% {
    transform: translate(-50%, -50%) scale(1.2);
    opacity: 0;
  }
}

@keyframes rotateEffect {
  from {
    transform: translate(-50%, -50%) rotate(0deg);
  }
  to {
    transform: translate(-50%, -50%) rotate(360deg);
  }
}
